import 'package:flutter/cupertino.dart';
import 'package:rasadyar_core/core.dart';

Widget buildPageRoute(List<String> route) {
  if(route.isEmpty){
    return SizedBox.shrink();
  }
  return Padding(
    padding: const EdgeInsets.fromLTRB(0, 4, 7, 4),
    child: Text(
       route.join(" > "),
      style: AppFonts.yekan14.copyWith(color: AppColor.bgDark),
    ),
  );
}

Widget buildContainerPageRoute(List<String> route) {
  return Container(
    height: 24.h,
    margin: EdgeInsets.symmetric(horizontal: 8.w,vertical: 4.h),
    decoration: BoxDecoration(color: Color(0xFFE3E3E3), borderRadius: BorderRadius.circular(2.r)),
    padding: EdgeInsets.symmetric(horizontal: 6.w),
    child: ListView.separated(
      scrollDirection: Axis.horizontal,
      physics: NeverScrollableScrollPhysics(),
      shrinkWrap: true,
      itemBuilder: (context, index) => Center(
        child: Text(route[index], style: AppFonts.yekan14.copyWith(color: AppColor.labelTextColor)),
      ),
      separatorBuilder: (context, index) => Assets.vec.arrowLeftSvg.svg(height: 24.h,fit: BoxFit.fitHeight),
      itemCount: route.length,
    ),
  );
}
